// @ts-ignore

/* eslint-disable */
import { request } from 'umi';

export default {
  getpage(data) {
    return request(`/kitchen/api/stirFryTime/getpage`, {
      method: 'Post',
      data: data,
    });
  },
  getStirFryArray(data) {
    return request(`/kitchen/api/stirFryTime/getStirFryArray?type=`+data, {
      method: 'GET',
    });
  },

  getbygoods(data) {
    return request('/kitchen/api/goodsproduct/getbygoods', {
      method: 'POST',
      data: data,
    });
  },
  addupdate(data) {
    return request('/kitchen/api/stirFryTime/AddUpdate', {
      method: 'POST',
      data: data,
    });
  },

   delete(data) {
    return request('/kitchen/api/stirFryTime/delete?id='+data, {
      method: 'GET',
    });
  },
  GetEntryPage(data) {
    return request(`/kitchen/api/stirFryTime/GetEntryPage`, {
      method: 'Post',
      data: data,
    });
  },
  AddUpdateEntry(data) {
    return request('/kitchen/api/stirFryTime/AddUpdateEntry', {
      method: 'POST',
      data: data,
    });
  },
  DeleteEntry(data) {
    return request('/kitchen/api/stirFryTime/DeleteEntry?id='+data, {
      method: 'POST',
      data: data,
    });
  },
};
